import { $httpWithMsg } from "../../plugins/axios";
import Vue from "vue";
import { QUESTION_API } from "@/constants/constants.js";

export const questionTeacherQueryApi = () => {
  return $httpWithMsg.get(QUESTION_API + "/course/query");
};
export const courseQueryApi = (name) => {
  return $httpWithMsg.get(QUESTION_API + "/course/query", {
    params: { name },
  });
};
// card-mamage
export const cardListApi = (datas, { pageNo, pageSize }) => {
  return $httpWithMsg.get(`${QUESTION_API}/card-list/${pageNo}/${pageSize}`, {
    params: datas,
  });
};
export const cardDeleteApi = (cardId) => {
  return $httpWithMsg.get(QUESTION_API + "/card-list", {
    params: { id: cardId },
  });
};
export const cardEnableApi = ({ id, enable }) => {
  return $httpWithMsg.get(QUESTION_API + "/card-list", {
    params: { id, enable },
  });
};
export const cardUpdateApi = (datas) => {
  return $httpWithMsg.post(QUESTION_API + "/card-list", datas);
};
// card-head-manage
export const cardHeadListApi = (datas, { pageNo, pageSize }) => {
  return $httpWithMsg.get(`${QUESTION_API}/card-list/${pageNo}/${pageSize}`, {
    params: datas,
  });
};
export const cardHeadDeleteApi = (cardHeadId) => {
  return $httpWithMsg.get(QUESTION_API + "/card-list", {
    params: { id: cardHeadId },
  });
};
export const cardHeadDetailApi = (cardHeadId) => {
  return $httpWithMsg.get(QUESTION_API + "/card-list", {
    params: { id: cardHeadId },
  });
};
export const cardHeadUpdateApi = (datas) => {
  return $httpWithMsg.post(QUESTION_API + "/card-list", datas);
};
export const cardHeadEnableApi = ({ id, enable }) => {
  return $httpWithMsg.get(QUESTION_API + "/card-list", {
    params: { id, enable },
  });
};

// card-edit
export const cardConfigInfos = () => {
  return Promise.resolve({
    id: "173438690998091776",
    createId: "173437828976345088",
    createTime: 1632291806278,
    updateId: null,
    updateTime: 1632291806278,
    name: "测试题卡规则1-版头名称",
    cardTitle: "测试题卡规则1-题卡标题",
    attention:
      "测试题卡规则1-注意事项\n测试题卡规则1-注意事项\n测试题卡规则1-注意事项",
    objectiveAttention: "测试题卡规则1-客观题-注意事项",
    subjectiveAttention: "测试题卡规则1-主观题-注意事项",
    templateType: "GRADUATE",
  });
};
export const cardDetail = () => {
  const cardData = Vue.ls.get("cardData", {});
  return Promise.resolve(cardData);
};

export const saveCard = (datas) => {
  Vue.ls.set("cardData", datas);
  return Promise.resolve("11");
};
