import { getElementId, randomCode, objAssign } from "../../plugins/utils";

const MODEL = {
  type: "FILL_LINE",
  x: 0,
  y: 0,
  w: 0,
  h: 40,
  minHeight: 40,
  sign: "subjective",
  topicName: "",
  topicNo: null,
  fillCountPerLine: 4,
  lineSpacing: 40,
  questionNo: "1",
  fillCount: 1,
  isCovered: false,
};

const getModel = (presetData) => {
  const model = objAssign(MODEL, presetData);
  model.id = getElementId();
  model.key = randomCode();
  return model;
};

// questions:[{questionNo,fillCount}]
const getFullModel = (presetData, questions) => {
  const parent = getModel(presetData);

  const numPerLine = parent.fillCountPerLine;
  let elements = [];

  questions.forEach((question, index) => {
    const maxLineNumberPerQuestion = Math.ceil(question.fillCount / numPerLine);

    const questionHeight = parent.lineSpacing * maxLineNumberPerQuestion;
    let child = Object.assign({}, parent, {
      id: getElementId(),
      h: index ? questionHeight : questionHeight + 34,
      parent: parent,
      isLast: false,
      isFirst: !index,
      questionNo: question.questionNo,
      fillCount: question.fillCount,
    });
    child.minHeight = child.h;
    elements[index] = child;
  });
  elements[elements.length - 1].isLast = true;

  return elements;
};

export { MODEL, getModel, getFullModel };
